<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=vendedorrutasclientes.xls");
header("Pragma: no-cache");
header("Expires: 0");
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Lista clientes por vendedor</title>
<?
include("../conex.php");

$vende =$_POST["lstvendedor"];
$ciudad =$_POST["lstciudad"];
	$orden = "ORDER BY nombres.razon_social ASC";
if ($vende=='0') 
	{ 
	$nombre_vendedor="Todos"; 
	}
else
	{
	//Nombre Vendedor
	$sql_bv = "SELECT * FROM vendedor WHERE id=$vende";
	$res_bv = mysql_query($sql_bv,$enlace);	
	$nombre_vendedor = mysql_result($res_bv, 0, "nombres");
	}
?>



<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">  <br>
<div align="center" class="titulos2">LISTA DE CLIENTES POR VENDEDOR</div>
<div align="center">

    <table width="100%" style="border-bottom-color:#999999; border-top-color:#999999; border-left-color:#999999; border-right-color:#999999">
      <tr bgcolor="#CCCCCC">
        <th scope="col"><div align="center">V.</div></th>
		<td width="100px"><div align="center">Rut</div></th>
        <th scope="col"><div align="center">Nombre</div></th>
		<th scope="col"><div align="center">Direccion</div></th>
		<th scope="col"><div align="center">Ciudad</div></th>
        <th scope="col"><div align="center">Telefono</div></th>
		<th scope="col"><div align="center">Segmento</div></th>
       
		<?		
		$total_neto=0;
			
	if (($vende == 0)&&($ciudad==0)) 	$sqlfs = "SELECT * FROM nombres, sucursales, vendedor WHERE nombres.rut=sucursales.rut AND sucursales.id_vendedor = vendedor.id $orden ";
	else 
	if (($vende != 0)&&($ciudad==0))  $sqlfs = "SELECT  * FROM nombres, sucursales, vendedor WHERE nombres.rut=sucursales.rut AND sucursales.id_vendedor = vendedor.id AND sucursales.id_vendedor = $vende $orden";
	else 
	if (($vende == 0)&&($ciudad!=0)) $sqlfs = "SELECT  * FROM nombres, sucursales, vendedor WHERE nombres.rut=sucursales.rut AND sucursales.id_vendedor = vendedor.id AND sucursales.id_zona = $ciudad $orden";
	else $sqlfs = "SELECT  * FROM nombres, sucursales, vendedor WHERE nombres.rut=sucursales.rut AND sucursales.id_vendedor = vendedor.id AND sucursales.id_zona = $ciudad AND sucursales.id_vendedor = $vende $orden";
	
	
	$resfs = mysql_query($sqlfs,$enlace);	
	$cont=0;
	while (mysql_fetch_object ($resfs))
		{
		$id_vendedor = mysql_result($resfs, $cont, "sucursales.id_vendedor");							
		$nombre_vendedor = mysql_result($resfs, $cont, "vendedor.nombres");
		$rut_cliente = mysql_result($resfs, $cont, "sucursales.rut");
		$nombre_cliente = mysql_result($resfs, $cont, "sucursales.razon_social");
		$direccion_cliente = mysql_result($resfs, $cont, "sucursales.direccion");
		$ciudad_cliente = mysql_result($resfs, $cont, "sucursales.ciudad");
		$fono_cliente = mysql_result($resfs, $cont, "sucursales.fono");
		$id_segmento = mysql_result($resfs, $cont, "nombres.id_segmento");
		
		$sql_seg = "SELECT  * FROM segmentacion WHERE Id = $id_segmento";
		$res_seg = mysql_query($sql_seg,$enlace);
		$giro_cliente = mysql_result($res_seg, 0, "descripcion");
			?>	
				 
			<tr>

				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
				  <strong><?=$id_vendedor?></strong>&nbsp;
				</span></div></td>
				<td  style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px" align="right"><div align="left"><span class="Estilo1">
				  <strong><?=$rut_cliente?></strong>&nbsp;
			    </span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px" align="right"><div align="left"><span class="Estilo1">
				  <strong><?=$nombre_cliente?></strong>&nbsp;
			    </span></div></td>				
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px" align="right"><div align="left"><span class="Estilo1">
				  <strong><?=$direccion_cliente?></strong>&nbsp;
			    </span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px" align="right"><div align="left"><span class="Estilo1">
				  <strong><?=$ciudad_cliente?></strong>&nbsp;
			    </span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px" align="right"><div align="left"><span class="Estilo1">
				  <strong><?=$fono_cliente?></strong>&nbsp;
			    </span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px" align="right"><div align="left"><span class="Estilo1">
				  <strong><?=$giro_cliente?></strong>&nbsp;
			    </span></div></td>
	        </tr>	
			<?
			$cont+=1;
			}
			
			?>
    </table>
	<form name="form1" method="post" action="">

	  <input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();">
	  <input name="txt_nv" id="txt_nv" type="text" style="visibility:hidden" size="1">
    </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	};

</script>